Subject: bug#64762: Guix sometimes doesn't support most packages for i686-linux and armhf-linux

From: Christopher Baines <[email-masked]>
Date: Fri, 21 Jul 2023 10:02:03 +0100

Hey,

I spotted this issue a few days ago, but I'm still pretty confused by
it. Both instances of the data service have sometimes been reporting
only a small number of package derivations for i686-linux and
armhf-linux.

I think the first revisions to exhibit this on the master branch for the
two data service instances are [1] and [2]. Given that for each of these
revisions, the other data service instance reports an expected number of
derivations, this issue seems to be non-deterministic.

1: https://data.guix.gnu.org/revision/67fb8efdf782592c133726a1ab7bc6692259e385
2: https://data.qa.guix.gnu.org/revision/09e73683a2c303016fa57bf5d84a8e997d4c0a30

To confirm that this is an issue with the supported systems as reported
by Guix, I had the data service print out the transitive supported
systems for the guix package:

  debug: Starting getting derivations for (i686-linux . #f)
  looking at guix package (supported systems: (), system supported: #f, target supported: #t
  debug: Finished getting derivations for (i686-linux . #f), took 12  seconds

  debug: Starting getting derivations for (armhf-linux . #f)
  looking at guix package (supported systems: (), system supported: #f, target supported: #t
  debug: Finished getting derivations for (armhf-linux . #f), took 41 seconds

This log output is from https://data.qa.guix.gnu.org/job/47888

This isn't just a one off thing though, it seems to happen quite
frequently for many revisions.

Any ideas?

Thanks,

Chris